#!/usr/bin/env node

/*
 * Copyright (c) 2016 NumberFour AG.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   NumberFour AG - Initial API and implementation
 */
/*eslint-disable no-empty */

(function() {
    "use strict";

    function tryJSON(json) {
        if (typeof json === "string") {
            try {
                json = JSON.parse(json);
            } catch (exc) {} // TODO IDE should not set JSON.stringified data
        }
        return json;
    }

    var lib_run = require("n4js-node/run");

    var execData = global.$executionData;
    if (execData) {
        delete global.$executionData;
        lib_run.runWith({
            "ideExecData": execData,
            "test-catalog": tryJSON(execData.testTree),
            "test-mode": true,
            "main": "eu.numberfour.mangelhaft.runner.ide/n4/mangel/runner/ide/IDENodeTestRunner"
        }, true /* exitOnError */);
    } else {
        lib_run.runWith({
            "test-mode": true,
            "main": "eu.numberfour.mangelhaft.runner.node/n4/mangel/runner/node/NodeTestCLI"
        }, true /* exitOnError */);
    }
})();
